
import com.yourkit.api.Controller;

public class APIDemo1 {
  public static void main(final String[] args) throws Exception {

    // Create a controller for a profiled application.
    // Use Controller() to self-profile application or Controller(String host, int port)
    // to profile any application.
    final Controller controller = new Controller();

    final String snapshotFileName;
    try {
      // Capture snapshot
      snapshotFileName = controller.captureMemorySnapshot();
    }
    catch (Exception ex) {
      System.out.println("Cannot capture snapshot. Reason: " + ex.getMessage());
      ex.printStackTrace();
      return;
    }

    System.out.println("The application has captured its own memory snapshot.\nIt is saved to the file " + snapshotFileName);
  }
}
